@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700;900&display=swap");

@import url("https://fonts.googleapis.com/css2?family=Teko:wght@400;&display=swap");

/*resetar o css*/
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  list-style: none;
  border: none;
  text-decoration: none;
  font-family: "Roboto", sans-serif;
}

html {
  width: 100vw;
  height: 100vh;
  font-size: 62.5%;
  overflow-x: hidden;
}

/*menu*/

header {
  z-index: 2;
}

.content {
  width: 100vw;
  height: 70px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #1f1e1f;
  position: fixed;
  padding-left: 15rem;
  padding-right: 5rem;
}

.logo {
  width: 70px;
  height: auto;
  cursor: pointer;
  display: flex;
  align-items: center;
}

.logo h3 {
  color: white;
  font-size: 1.6rem;
  text-transform: uppercase;
}

.logo img {
  width: 100%;
  height: 100%;
}

.content .list-menu {
  width: 400px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.content .list-menu li a {
  padding: 3rem 1rem 2rem 1rem;
  color: white;
  font-size: 1.6rem;
  text-transform: uppercase;
  font-weight: 500;
  transition: all 200ms ease-in;
}

.content .list-menu li a:hover {
  background-color: #3333;
  border-bottom: 4px solid #bf1b2c;
  color: #bf1b2c;
}

/*home*/

.home {
  width: 100vw;
  height: 100vh;
  background-image: linear-gradient(
      rgba(29, 29, 29, 0.8),
      rgba(29, 29, 29, 0.8)
    ),
    url(./img/bg-home.jpg);
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
  background-position-y: 70px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.home .content-main {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-top: 10rem;
}

.home h1 {
  color: #fff;
  font-size: 5rem;
  text-transform: uppercase;
  margin-bottom: 1rem;
}

.home h2 {
  color: rgb(177, 177, 177);
  font-size: 3rem;
  font-weight: 400;
  text-transform: uppercase;
  margin-bottom: 3rem;
}

.btn button {
  width: 200px;
  height: 60px;
  cursor: pointer;
  text-transform: uppercase;
  background-color: #bf1b2c;
  border-radius: 10px;
  color: white;
  font-weight: 700;
  margin-top: 5rem;
  transition: all 300ms ease-in;
}

.btn button:hover {
  border: 1px solid #bf1b2c;
  background-color: transparent;
  color: #bf1b2c;
}

.btn {
  width: 430px;
  display: flex;
  justify-content: space-between;
}

/*Sobre nos*/

.sobre-nos {
  background-color: #1f1e1f;
  width: 100%;
  padding-bottom: 5rem;
  color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
}

.sobre-nos img {
  width: 400px;
  height: 400px;
  margin-top: 10rem;
  margin-left: 10rem;
  border: 2px solid rgb(155, 155, 155);
}

.main {
  display: flex;
  justify-content: space-between;
}

.content-sobre {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.content-sobre h2 {
  font-size: 6rem;
  margin-bottom: 1rem;
}

.content-sobre p {
  text-align: center;
  font-size: 1.8rem;
  width: 600px;
}

/*horarios*/

.horario {
  width: 100vw;
  padding: 2rem 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background-image: linear-gradient(to right, #3c3c3c, #8c8c8c, #3c3c3c);
}

.horario h2 {
  font-size: 5rem;
  color: #fff;
  text-transform: uppercase;
  font-family: "Teko", sans-serif;
}

.itens-horario {
  width: 100%;
  margin-top: 2rem;
  margin-bottom: 2rem;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 400px));
  justify-content: center;
  align-items: center;
  gap: 30px;
}

.itens-horario .card {
  width: 400px;
  height: 400px;
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
  box-shadow: 0px 0px 4px 1px;
  border-radius: 2rem;
  overflow: hidden;
  overflow-y: auto;
}

.itens-horario .card .info {
  width: 100%;
  height: 100%;
  background-color: rgb(221, 221, 221);
  border: none;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  transition: all 0.3s ease-in;
  opacity: 0;
}

.itens-horario .card .info:hover {
  transform: translateY(0px);
  opacity: 1;
}

.itens-horario .info h3 {
  font-size: 1.8rem;
  text-transform: uppercase;
  margin-bottom: 1rem;
  margin-right: 1rem;
  text-decoration: underline;
}

.itens-horario .info h4 {
  font-size: 1.4rem;
  text-transform: uppercase;
  margin-bottom: 0.6rem;
  margin-left: 6rem;
  margin-right: 6rem;
  display: grid;
  grid-template-columns: 150px 150px;
  justify-content: center;
  align-items: center;
}

.itens-horario .info h4 span {
  font-size: 1.5rem;
  color: #585858;
  margin-left: 1.5rem;
  display: flex;
  justify-content: right;
  justify-items: right;
  text-align: right;
  text-transform: none;
}

.itens-horario img {
  width: 100%;
  height: 300px;
}

.itens-horario .info .agendar {
  width: 200px;
  height: 35px;
  margin-top: 1.5rem;
  color: white;
  background-color: #bf1b2c;
  border-radius: 5px;
  text-transform: uppercase;
  cursor: pointer;
  transition: all 200ms ease-in;
}

.itens-horario .info .agendar:hover {
  background-color: transparent;
  color: #bf1b2c;
  border: 1px solid #bf1b2c;
}

/*teste*/

/* .info {
  left: 0;
  bottom: 0;
  right: 0;
  max-height: 100%;
  transform: translateY(101%);
  overflow-y: auto;
  transition: transform 0.3s ease-in;
}

.card:hover .info {
  transform: translateY(0);
} */

/*servicos*/

.servico .container {
  display: flex;
  width: 100vw;
  background-color: #1f1e1f;
  padding: 0.5rem 3rem 2rem 1rem;
}

.servico h2 {
  font-size: 5rem;
  color: #fff;
  text-transform: uppercase;
  font-family: "Teko", sans-serif;
  background-color: #1f1e1f;
  text-align: center;
  padding-top: 1.5rem;
}

.panel {
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  height: 80vh;
  border-radius: 50px;
  color: #fff;
  cursor: pointer;
  flex: 0.5;
  margin: 10px;
  position: relative;
  -webkit-transition: all 700ms ease-in;
}

.panel h3 {
  font-size: 6rem;
  position: absolute;
  bottom: 40px;
  left: 30px;
  margin: 0;
  opacity: 0;
}

.panel.active {
  flex: 5;
}

.panel.active h3 {
  opacity: 1;
  transition: opacity 0.3s ease-in 0.4s;
}

@media (max-width: 450px) {
  .container {
    width: 100vw;
  }

  .panel:nth-of-type(4),
  .panel:nth-of-type(5) {
    display: none;
  }
}

/*footer*/

footer {
  width: 100%;
  background-image: linear-gradient(to right, #3c3c3c, #8c8c8c, #3c3c3c);
  font-size: 1.8rem;
  color: white;
}

.footer-section {
  max-width: 1200px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  border-bottom: 1px solid #c2c2c2;
  color: #fff;
}

.footer-section-logo {
  width: 200px;
  height: 200px;
}

.footer-section-title {
  font-size: 2.5rem;
  padding-top: 2rem;
}

.footer-section-rede-social {
  width: 400px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  font-size: 3rem;
  padding: 2rem 0;
}

.footer-section-rede-social li a {
  color: white;
  transition: all 200ms ease-in;
}

.footer-section-rede-social li a:hover {
  color: #bf1b2c;
}

.footer-section-address {
  padding: 2rem 0;
}

.footer-section-address p {
  font-size: 1.4rem;
  text-align: center;
  margin: 0.4rem 0;
}

.footer-section-address a {
  color: white;
  font-size: 1.3rem;
  transition: all 200ms ease-in;
  text-align: center;
  display: block;
  margin: 0.4rem 0;
}

.footer-section-address a:hover {
  color: #bf1b2c;
}

.footer-copy {
  padding: 1.5rem 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: #fff;
  font-size: 1.4rem;
}

.footer-copy p {
  padding: 0.5rem 0;
  text-align: center;
}

.footer-copy a {
  color: white;
  transition: all 200ms ease-in;
}

.footer-copy a:hover {
  color: #bf1b2c;
}
